> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/interfaces/wisej.web.ierrorprovider.md).

# IErrorProvider

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Exposes a common api implemented by components that can collect errors in relation to a [Control](/api/wisej.web/general/control.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public interface IErrorProvider
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface IErrorProvider
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) GetError(control)

Returns the current error description string for the specified control.

| Parameter   | Type                                         | Description                                       |
| ----------- | -------------------------------------------- | ------------------------------------------------- |
| **control** | [Control](/api/wisej.web/general/control.md) | The item to get the error description string for. |

**Returns:** [String](https://docs.microsoft.com/dotnet/api/system.string). The error description string for the specified control.

### ![](/files/hsR4ok3152WyAf8J2C1u) SetError(control, value)

Sets the error description string for the specified control.

| Parameter   | Type                                                          | Description                                                                                                                      |
| ----------- | ------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **control** | [Control](/api/wisej.web/general/control.md)                  | The control to set the error description string for.                                                                             |
| **value**   | [String](https://docs.microsoft.com/dotnet/api/system.string) | The error description string, or null or [Empty](https://docs.microsoft.com/dotnet/api/system.string.empty) to remove the error. |

## Implemented By

| Name                                                       | Description                                                                                        |
| ---------------------------------------------------------- | -------------------------------------------------------------------------------------------------- |
| [Label](/api/wisej.web/content/wisej.web.label.md)         | Represents a label control.                                                                        |
| [LinkLabel](/api/wisej.web/content/linklabel.md)           | Represents an hyper-link control.                                                                  |
| [ErrorProvider](/api/wisej.web/extenders/errorprovider.md) | Provides a user interface for indicating that a control on a form has an error associated with it. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/interfaces/wisej.web.ierrorprovider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
